<project name="Xpand API Baseline" default="setup" basedir="..">
	<property name="tp.build.root" value="../build"/>

	<target name="setup" depends="fetch-baseline,build-targetplatform">
		<copy todir="api-baseline/target/xpand">
			<fileset dir="${tp.build.root}/target.platform"/>
		</copy>
	</target>
	
	<target name="-init">
		<available property="exists.tp" file="target/target.platform/artifacts.xml"/>
	</target>
	

	<target name="fetch-baseline" depends="-init" >
		<mkdir dir="target/xpand"/>
		<get
			src="http://mirror.netcologne.de/eclipse/modeling/m2t/xpand/downloads/drops/1.3.0/R201302260541/m2t-xpand-Update-1.3.0.zip"
			dest="api-baseline/target/m2t-xpand-Update-1.3.0.zip"
			skipexisting="true"
			/>
		<unzip src="api-baseline/target/m2t-xpand-Update-1.3.0.zip" dest="api-baseline/target/xpand"/>
	</target>
	
	<target name="build-targetplatform" depends="-init" unless="exists.tp"
		description="Call local Buckminster Target Platform build">
		<ant antfile="releng/local/local-build.ant">
			<property name="build.root" value="../build"/>
		</ant>
	</target>
</project>